[arch-commits] Commit in (7 files)

Pierre Schmitz pierre at nymeria.archlinux.org
Sun Jan 27 16:14:01 UTC 2013


    Date: Sunday, January 27, 2013 @ 17:14:01
  Author: pierre
Revision: 83139

extra2community: Moving fssos-nsvs from extra to community

Added:
  fssos-nsvs/
  fssos-nsvs/repos/
  fssos-nsvs/trunk/
  fssos-nsvs/trunk/PKGBUILD
  fssos-nsvs/trunk/fssos-nsvs.install
  fssos-nsvs/trunk/nsvsd
  fssos-nsvs/trunk/nsvsd.service

--------------------+
 PKGBUILD           |   33 +++++++++++++++++++++++++++++++++
 fssos-nsvs.install |   17 +++++++++++++++++
 nsvsd              |   36 ++++++++++++++++++++++++++++++++++++
 nsvsd.service      |    8 ++++++++
 4 files changed, 94 insertions(+)

Added: fssos-nsvs/trunk/PKGBUILD
===================================================================
--- fssos-nsvs/trunk/PKGBUILD	                        (rev 0)
+++ fssos-nsvs/trunk/PKGBUILD	2013-01-27 16:14:01 UTC (rev 83139)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Dale Blount <dale at archlinux.org>
+
+pkgname=fssos-nsvs
+pkgver=0.5
+pkgrel=9
+pkgdesc="NSVS for FSSOS"
+arch=('i686' 'x86_64')
+url="http://fssos.sourceforge.net/"
+license=('GPL')
+depends=('bash' 'mysql')
+backup=('etc/nsvsd.conf')
+options=('!libtool' '!makeflags')
+install=$pkgname.install
+source=("http://downloads.sourceforge.net/sourceforge/fssos/nsvs-$pkgver.tar.gz"
+        'nsvsd'
+	'nsvsd.service')
+
+build() {
+  cd $srcdir/nsvs-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc
+  make CFLAGS="${CFLAGS} -D_GNU_SOURCE"
+}
+
+package() {
+  cd $srcdir/nsvs-$pkgver
+  make DESTDIR=$pkgdir install
+  install -D -m755 "$srcdir/nsvsd" "$pkgdir/etc/rc.d/nsvsd"
+  install -D -m644 "$srcdir/nsvsd.service" "$pkgdir/usr/lib/systemd/system/nsvsd.service"
+}
+md5sums=('3f17c2f6339f1a322b712b467023d825'
+         '4dfd9dc0d69b375587e39ab2621d9ea9'
+         '61e970d0704875b1da83cb4e9fc0eef5')


Property changes on: fssos-nsvs/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property
Added: fssos-nsvs/trunk/fssos-nsvs.install
===================================================================
--- fssos-nsvs/trunk/fssos-nsvs.install	                        (rev 0)
+++ fssos-nsvs/trunk/fssos-nsvs.install	2013-01-27 16:14:01 UTC (rev 83139)
@@ -0,0 +1,17 @@
+post_install() {
+    if [ -z "`grep '^nsvsd::' /etc/group`" ]; then
+	groupadd -g 83 nsvsd
+    fi
+    if [ -z "`grep '^nsvsd:' /etc/passwd`" ]; then
+	useradd -u 83 -d /tmp -g nsvsd -s /bin/false nsvsd
+    fi
+}
+
+post_upgrade() {
+    post_install $1
+}
+
+pre_remove() {
+    userdel nsvsd &> /dev/null
+    groupdel nsvsd &> /dev/null
+}

Added: fssos-nsvs/trunk/nsvsd
===================================================================
--- fssos-nsvs/trunk/nsvsd	                        (rev 0)
+++ fssos-nsvs/trunk/nsvsd	2013-01-27 16:14:01 UTC (rev 83139)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting nsvsd"
+	/usr/sbin/nsvsd -f /etc/nsvsd.conf
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon nsvsd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping nsvsd"
+    kill `cat /var/run/nsvsd.pid` &>/dev/null
+    rm -f /var/run/nsvsd.pid
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon nsvsd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 3
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac


Property changes on: fssos-nsvs/trunk/nsvsd
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: fssos-nsvs/trunk/nsvsd.service
===================================================================
--- fssos-nsvs/trunk/nsvsd.service	                        (rev 0)
+++ fssos-nsvs/trunk/nsvsd.service	2013-01-27 16:14:01 UTC (rev 83139)
@@ -0,0 +1,8 @@
+[Unit]
+Description=Name Service Via Sockets Daemon
+
+[Service]
+ExecStart=/usr/sbin/nsvsd -f /etc/nsvsd.conf
+
+[Install]
+WantedBy=multi-user.target




More information about the arch-commits mailing list